<?xml version="1.0"?>
<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.cfs++.org/simulation">
  
  <fileFormats>
    <input>
      <hdf5 fileName="Cantilever2d.h5ref"/>
    </input>
    <output>
      <hdf5/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>

  <domain geometryType="plane">
    <regionList>
      <region name="cantilever" material="steel"/>
      <region name="water" material="fluid"/>
    </regionList>
    <surfRegionList>
      <surfRegion name="fix"/>      
      <surfRegion name="wall"/>      
      <surfRegion name="cplsurf"/>      
    </surfRegionList>
    <nodeList>
      <nodes name="excite">
        <coord x="12e-2" y="10.15e-2" z="0.0"/>
      </nodes>
    </nodeList>
  </domain>

  <fePolynomialList>
    <Lagrange id="velPolyId">
      <gridOrder/>
    </Lagrange>
    
    <Lagrange id="presPolyId">
      <isoOrder>1</isoOrder> 
    </Lagrange>
  </fePolynomialList>
  
  <integrationSchemeList>
    <scheme id="velIntegId">
      <method>Gauss</method>
      <order>6</order>
      <mode>absolute</mode>
    </scheme>
    
    <scheme id="presIntegId">
      <method>Gauss</method>
      <order>4</order>
      <mode>absolute</mode>
    </scheme>    
  </integrationSchemeList>  
  
  <sequenceStep>
    <analysis>
      <harmonic>
        <numFreq>1</numFreq>
        <frequencyList>
          <freq value="500"/>
        </frequencyList>
      </harmonic>
    </analysis>
      
    <pdeList>
      <fluidMech formulation="perturbed">
        <regionList>
          <region name="water"/>
        </regionList>
        
        <presSurfaceList>
          <presSurf name="wall"/>
          <presSurf name="free"/>
        </presSurfaceList>
        
        <bcsAndLoads>
          <noPressure name="free"/>
          
          <noSlip name="wall">
            <comp dof="x"/>
            <comp dof="y"/>
          </noSlip>
        </bcsAndLoads>
        
        <storeResults>
          <nodeResult type="fluidMechVelocity">
            <regionList>
              <region name="water"/>
            </regionList>
          </nodeResult>
          <nodeResult type="fluidMechPressure">
            <regionList>
              <region name="water"/>
            </regionList>
          </nodeResult>
          <elemResult type="fluidMechStrainRate">
            <allRegions/>
          </elemResult>
          <elemResult type="fluidMechStress">
            <allRegions/>
          </elemResult>
        </storeResults>
      </fluidMech>
      
      <mechanic subType="planeStrain">
        <regionList>
          <region name="cantilever"/>
        </regionList>

        <bcsAndLoads>
          <fix name="fix">
            <comp dof="x"/>
            <comp dof="y"/>
          </fix>
          <force name="excite">
            <comp dof="y" value="1e4"/>
          </force>
        </bcsAndLoads>
        <storeResults>
          
          <nodeResult type="mechDisplacement">
            <regionList>
              <region name="cantilever"/>
            </regionList>            
          </nodeResult>
          <nodeResult type="mechVelocity">
            <allRegions/>
          </nodeResult>
        </storeResults>
        
      </mechanic>
    </pdeList>
    
    <couplingList>
      <direct>
        <fluidMechDirect lmOrderSameAsVel="false">
          <surfRegionList>
            <surfRegion name="cplsurf"/>
          </surfRegionList>
          <storeResults>
            <nodeResult type="lagrangeMultiplier">
              <regionList>
                <region name="cplsurf"/>
              </regionList>
            </nodeResult>
          </storeResults>
        </fluidMechDirect>
      </direct>      
    </couplingList>
    
    <linearSystems>
      <system>
        <solverList>
          <umfpack/>
        </solverList>
      </system>
    </linearSystems> 
    
  </sequenceStep>

</cfsSimulation>
